geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tki...@apache.org
Subject svn commit: r734564 - in /geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal: GeronimoRuntimeWizardFragment.java Messages.properties
Date Wed, 14 Jan 2009 23:52:10 GMT
Author: tkirby
Date: Wed Jan 14 15:52:10 2009
New Revision: 734564

URL: http://svn.apache.org/viewvc?rev=734564&view=rev
Log:
GERONIMODEVTOOLS-554 warning message about supported JDK version is wrong.  Thanks for the
patch, Delos

Modified:
    geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/GeronimoRuntimeWizardFragment.java
    geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/Messages.properties

Modified: geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/GeronimoRuntimeWizardFragment.java
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/GeronimoRuntimeWizardFragment.java?rev=734564&r1=734563&r2=734564&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/GeronimoRuntimeWizardFragment.java
(original)
+++ geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/GeronimoRuntimeWizardFragment.java
Wed Jan 14 15:52:10 2009
@@ -359,7 +359,7 @@
         IVMInstall vmInstall = getRuntimeDelegate().getVMInstall();
         if (vmInstall instanceof IVMInstall2) {
             String javaVersion = ((IVMInstall2) vmInstall).getJavaVersion();
-            return javaVersion != null && javaVersion.startsWith("1.5");
+            return javaVersion != null && (javaVersion.startsWith("1.5") || javaVersion.startsWith("1.6"));
         }
         return false;
     }

Modified: geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/Messages.properties
URL: http://svn.apache.org/viewvc/geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/Messages.properties?rev=734564&r1=734563&r2=734564&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/Messages.properties
(original)
+++ geronimo/devtools/eclipse-plugin/branches/2.1.4/plugins/org.apache.geronimo.st.ui/src/main/java/org/apache/geronimo/st/ui/internal/Messages.properties
Wed Jan 14 15:52:10 2009
@@ -341,7 +341,7 @@
 DownloadServerButtonLabel=Download Server
 DownloadServerText=To download the {1} server, click: <br/> {0} .
 DownloadServerURL=http://geronimo.apache.org/downloads.html
-jvmWarning={0} is currently certified only on a Sun JDK 5.0+ (J2SE 1.5.0+).
+jvmWarning={0} requires a 5.0+ JDK (J2SE 1.5.0+).
 installTitle=Install Confirmation
 installMessage=\nInstall {0} to {1} ?
 licenseAgreement=License Agreement:



Mime
View raw message